import java.io.*;

class fa0 extends f_x
{
   public double func (double x)
   {
    return sin(x);
   }
}

class fa1 extends f_x
{
   public  double func (double x)
   {
    return cos(x);
   }
}

 
class NA0E
{
     public static void main (String args[]) throws IOException
     {
     fa0 ff0=new fa0();
     fa1 ff1=new fa1();    
     Plot pp=new Plot(ff0,0.0,4.0);
     pp.addFunction(ff1,0.0,4.0,400);
     pp.plot();
     }
}
